
package com.jeelowcode.core.framework.service;


import com.baomidou.mybatisplus.extension.service.IService;
import com.jeelowcode.core.framework.entity.EnhanceJsEntity;
import com.jeelowcode.core.framework.entity.TabEntity;
import com.jeelowcode.core.framework.entity.TabJsEntity;
import com.jeelowcode.core.framework.params.TabAddOrUpdateParam;
import com.jeelowcode.core.framework.params.vo.TabDetailVo;
import com.jeelowcode.core.framework.params.vo.TabWebConfigVo;

import java.util.List;

/**
 * 模块组合相关
 */
public interface ITabService extends IService<TabEntity> {

    //获取配置列表
    TabWebConfigVo getWebConfig(Long tabId);

    //保存/修改 配置
    void saveOrUpdateTab(TabAddOrUpdateParam param);

    //删除配置
    void delTab( List<Long> tabIdList);

    //获取详情
    TabDetailVo getDetail(Long id);

    //------------ js相关 -----------------
    //Js增强 详情
    TabJsEntity getJsDetail(Long tabId, String type);

    //新增js增强
    void saveJs(TabJsEntity jsEntity);

    //编辑js增强
    void updateJs(TabJsEntity jsEntity);
}
